<?php namespace Myriad\NotifyClient\Client\Helpers;

use Exception;
use Myriad\NotifyClient\Models\Service;
use Myriad\NotifyClient\Utilities\BuiltWithConfig;
use Myriad\NotifyClient\Utilities\HydratesModels;

class ServiceVariantHelper
{
    use BuiltWithConfig;
    use HydratesModels;

    protected function getItemClass()
    {
        return Service::class;
    }

    public function makeArray($object)
    {
        if ($object instanceof Service) {
            return $object->toArray();
        }
        if (is_array($object)) {
            return $object;
        }
        throw new Exception('Object must be a Service or array');
    }

    public function uri()
    {
        return "services/addVariants";
    }
}
